<!doctype html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <title>Test</title>
</head>
<body>

{% if env %}
<h1>Request</h1>
{{ req.method }}
<h2>Args</h2>
<table class="table">
    <thead>
      <tr>
        <th scope="col">Key</th>
        <th scope="col">Value</th>
      </tr>
    </thead>
    <tbody>
{% for k, v in req.args.items() %}
    <tr>
        <th scope="row">{{ k }}</th>
        <td>{{ v }}</td>
    </tr>
{% endfor %}
    </tbody>
</table>

<h2>Headers</h2>
<table class="table">
    <thead>
      <tr>
        <th scope="col">Key</th>
        <thscope="col">Value</th>
      </tr>
    </thead>
    <tbody>
{% for k, v in req.headers.items() %}
    <tr>
        <td>{{ k }}</td>
        <td>{{ v }}</td>
    </tr>
{% endfor %}
    </tbody>
</table>
{% endif %}

{% if env %}
<h1>Environment</h1>
<table class="table">
    <thead>
      <tr>
        <th scope="col">Key</th>
        <th scope="col">Value</th>
      </tr>
    </thead>
    <tbody>
{% for k, v in env.items() %}
    <tr>
        <td>{{ k }}</td>
        <td>{{ v }}</td>
    </tr>
{% endfor %}
    </tbody>
</table>
{% endif %}



<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz" crossorigin="anonymous"></script>

</body>
</html>